// qgenHid.cpp: dfinit le point d'entre pour l'application console.
//

#include "stdafx.h"
#ifdef linux
#include <stdio.h>
#include <stdlib.h>
#include <fcntl.h>

#include <errno.h>
#include <math.h>
#include <float.h>
#include <string.h>
#include <stdarg.h>
#include <time.h>
#include <unistd.h>
#endif

double monRand(double x)
{
	return (rand() * x) / RAND_MAX;
}

double randomVarCirc360()
{
	return monRand(360.0) - 180.0;
}


void exitHelp()
{
	printf("outputs random hidden integers from -180 to 179 for the numerical EPR experiment :\n");
	printf("# qgenHid number_of_lines output_file\n");
	printf("Both arguments are mandatory\n");
	exit(1);
}

int main(int argc, char *argv[])
{

	if (argc != 3)
	{
		exitHelp();
	}


	int idMax = atoi(argv[1]);
	if (idMax < 10000 || idMax > 1000000000)
	{
		idMax = 1000000;
		printf("The number_of_lines has been changed for %d\n", idMax);
	}

	char fichier[512];
	strcpy(fichier, argv[2]);
	if (!*fichier)
	{
		exitHelp();
	}

	// ################################################################################################

	srand((unsigned int)time(NULL)); //  seed48()  and  lcong48()


	FILE *fcb;

	if (!(fcb = fopen(fichier, "w")))
	{
		printf("unable to create the result file %s\n", fichier);
		exit(1);
	}

	for (int id = 0; id < idMax; id++)
	{
		fprintf(fcb, "%.8f\n", randomVarCirc360());
	}
	fclose(fcb);
	exit(0);

}


